Probleme mit SyntaxHighlighter Evolved und WP Minify

Probleme mit SyntaxHighlighter Evolved und WP Minify

Über WP-Minify habe ich schon mal geschrieben. Es ist ein kleines Plugin welches CSS- und Javascript-Dateien zusammenfasst und die Website schneller macht.

Nun habe ich endlich herausgefunden, dass dieses Plugin auch dafür verantwortlich ist, dass das SyntaxHighlighter Evolved-Plugin nicht richtig funktioniert.
SyntaxHighlighter Evolved ist ein Plugin um Programmcode je nach Syntax farbig hervorzuheben.
Dazu ein C++-Beispiel:

C++ Code mit Leerzeichen
C++ Code mit Leerzeichen

So soll es auch aussehen. Aktiviert man aber WP-Minify, so werden alle Leerzeilen entfernt, so das Ergebnis ziemlich unleserlich aussieht.

C++ Code ohne Leerzeichen
C++ Code ohne Leerzeichen

Also fliegt WP-Minify erst mal raus, schließlich ist mir die Leserlichkeit wichtiger, als die Ladezeiten.

Schreibe einen Kommentar